MyGUI: MyGUI::MemberObsolete< TabControl > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< TabControl > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< TabControl >:
[legend]

## Public Member Functions
int | getSheetButtonWidthIndex (size_t _index)
int | getSheetButtonWidth (TabItem *_sheet)
void | setSheetButtonWidthIndex (size_t _index, int _width=DEFAULT)
void | setSheetButtonWidth (TabItem *_sheet, int _width=DEFAULT)
void | showBarButton (size_t _index)
void | showBarSelectButton ()
size_t | getSheetCount ()
const UString & | getSheetName (TabItem *_sheet)
const UString & | getSheetNameIndex (size_t _index)
TabItem * | getSheet (size_t _index)
void | setSheetNameIndex (size_t _index, const UString &_name, int _width=DEFAULT)
void | setSheetName (TabItem *_sheet, const UString &_name, int _width=DEFAULT)
TabItem * | addSheet (const UString &_name, int _width=DEFAULT)
TabItem * | insertSheet (size_t _index, const UString &_name, int _width=DEFAULT)
void | removeSheetIndex (size_t _index)
void | removeSheet (TabItem *_sheet)
void | selectSheetIndex (size_t _index, bool _smooth=true)
void | selectSheet (TabItem *_sheet, bool _smooth=true)
size_t | getSelectSheetIndex ()
size_t | getItemIndexSelected ()
void | setItemSelectedAt (size_t _index)

## Detailed Description

### template<>
class MyGUI::MemberObsolete< TabControl >

Definition at line 314 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ addSheet()

TabItem * MyGUI::MemberObsolete< TabControl >::addSheet | ( | const UString & | _name,
|  | int | _width = `DEFAULT`
| ) |  |

Deprecated:
  " is deprecated, use : TabItem* TabControl::addItem(const UString& _name, Any _data)"

Definition at line 561 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getItemIndexSelected()

size_t MyGUI::MemberObsolete< TabControl >::getItemIndexSelected | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t Widget::getIndexSelected()"

Definition at line 590 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSelectSheetIndex()

size_t MyGUI::MemberObsolete< TabControl >::getSelectSheetIndex | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t TabControl::getIndexSelected()"

Definition at line 585 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSheet()

TabItem * MyGUI::MemberObsolete< TabControl >::getSheet | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : TabItem* TabControl::getItemAt(size_t _index)"

Definition at line 549 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSheetButtonWidth()

int MyGUI::MemberObsolete< TabControl >::getSheetButtonWidth | ( | TabItem * | _sheet | ) |

Deprecated:
  " is deprecated, use : int TabControl::getButtonWidth(TabItem* _item)"

Definition at line 517 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSheetButtonWidthIndex()

int MyGUI::MemberObsolete< TabControl >::getSheetButtonWidthIndex | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : int TabControl::getButtonWidthAt(size_t _index)"

Definition at line 513 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSheetCount()

size_t MyGUI::MemberObsolete< TabControl >::getSheetCount | ( |  | ) |

Deprecated:
  " is deprecated, use : size_t TabControl::getItemCount()"

Definition at line 537 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSheetName()

const UString & MyGUI::MemberObsolete< TabControl >::getSheetName | ( | TabItem * | _sheet | ) |

Deprecated:
  " is deprecated, use : const UString& TabControl::getItemName(TabItem* _item)"

Definition at line 541 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSheetNameIndex()

const UString & MyGUI::MemberObsolete< TabControl >::getSheetNameIndex | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : const UString& TabControl::getItemNameAt(size_t _index)"

Definition at line 545 of file MyGUI_BackwardCompatibility.cpp.

## ◆ insertSheet()

TabItem * MyGUI::MemberObsolete< TabControl >::insertSheet | ( | size_t | _index,
|  | const UString & | _name,
|  | int | _width = `DEFAULT`
| ) |  |

Deprecated:
  " is deprecated, use : TabItem* TabControl::insertItemAt(size_t _index, const UString& _name, Any _data)"

Definition at line 565 of file MyGUI_BackwardCompatibility.cpp.

## ◆ removeSheet()

void MyGUI::MemberObsolete< TabControl >::removeSheet | ( | TabItem * | _sheet | ) |

Deprecated:
  " is deprecated, use : void TabControl::removeItem(TabItem* _item)"

Definition at line 573 of file MyGUI_BackwardCompatibility.cpp.

## ◆ removeSheetIndex()

void MyGUI::MemberObsolete< TabControl >::removeSheetIndex | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void TabControl::removeItemAt(size_t _index)"

Definition at line 569 of file MyGUI_BackwardCompatibility.cpp.

## ◆ selectSheet()

void MyGUI::MemberObsolete< TabControl >::selectSheet | ( | TabItem * | _sheet,
|  | bool | _smooth = `true`
| ) |  |

Deprecated:
  " is deprecated, use : void TabControl::setItemSelected(TabItem* _item)"

Definition at line 581 of file MyGUI_BackwardCompatibility.cpp.

## ◆ selectSheetIndex()

void MyGUI::MemberObsolete< TabControl >::selectSheetIndex | ( | size_t | _index,
|  | bool | _smooth = `true`
| ) |  |

Deprecated:
  " is deprecated, use : void TabControl::setIndexSelected(size_t _index)"

Definition at line 577 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setItemSelectedAt()

void MyGUI::MemberObsolete< TabControl >::setItemSelectedAt | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void Widget::setIndexSelected(size_t _index)"

Definition at line 594 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setSheetButtonWidth()

void MyGUI::MemberObsolete< TabControl >::setSheetButtonWidth | ( | TabItem * | _sheet,
|  | int | _width = `DEFAULT`
| ) |  |

Deprecated:
  " is deprecated, use : void TabControl::setButtonWidth(TabItem* _item, int _width)"

Definition at line 525 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setSheetButtonWidthIndex()

void MyGUI::MemberObsolete< TabControl >::setSheetButtonWidthIndex | ( | size_t | _index,
|  | int | _width = `DEFAULT`
| ) |  |

Deprecated:
  " is deprecated, use : void TabControl::setButtonWidthAt(size_t _index, int _width)"

Definition at line 521 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setSheetName()

void MyGUI::MemberObsolete< TabControl >::setSheetName | ( | TabItem * | _sheet,
|  | const UString & | _name,
|  | int | _width = `DEFAULT`
| ) |  |

Deprecated:
  " is deprecated, use : void TabControl::setItemName(TabItem* _item, const UString& _name)"

Definition at line 557 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setSheetNameIndex()

void MyGUI::MemberObsolete< TabControl >::setSheetNameIndex | ( | size_t | _index,
|  | const UString & | _name,
|  | int | _width = `DEFAULT`
| ) |  |

Deprecated:
  " is deprecated, use : void TabControl::setItemNameAt(size_t _index, const UString& _name)"

Definition at line 553 of file MyGUI_BackwardCompatibility.cpp.

## ◆ showBarButton()

void MyGUI::MemberObsolete< TabControl >::showBarButton | ( | size_t | _index | ) |

Deprecated:
  " is deprecated, use : void TabControl::beginToItemAt(size_t _index)"

Definition at line 529 of file MyGUI_BackwardCompatibility.cpp.

## ◆ showBarSelectButton()

void MyGUI::MemberObsolete< TabControl >::showBarSelectButton | ( |  | ) |

Deprecated:
  " is deprecated, use : void TabControl::beginToItemSelected()"

Definition at line 533 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp